package com.gic.haoban.manage.api.dto.statistics;

import java.io.Serializable;

/**
 * 描述: StatisticsPageDTO
 *
 * @author yujie
 * @date 2021/12/29 20:33
 */
public class StatisticsPageDTO implements Serializable {

    private static final long serialVersionUID = 7915429898054727383L;

    /**
     * 页码
     */
    private Integer pageNo;
    /**
     * 每页数量
     */
    private Integer pageSize;
    /**
     * 查询条件
     */
    public Object inFields;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Object getInFields() {
        return inFields;
    }

    public void setInFields(Object inFields) {
        this.inFields = inFields;
    }

    public void intPageParameterDefault() {
        this.pageNo = 1;
        this.pageSize = 10;
    }

    public void intPageParameterOne() {
        this.pageNo = 1;
        this.pageSize = 1;
    }

    public void intPageParameterMaxSize() {
        this.pageNo = 1;
        this.pageSize = Integer.MAX_VALUE;
    }

    @Override
    public String toString() {
        return "StatisticsPageDTO{" +
                "pageNo=" + pageNo +
                ", pageSize=" + pageSize +
                ", inFields=" + inFields +
                '}';
    }
}
